import 'package:login_oficina5/src/login_package.dart';

class ButtonLogin extends StatelessWidget {
  final double heightButton;
  final double widgthButton;
  final Color colorButton;
  final String textButton;
  final Widget screen;
  final GlobalKey<FormState> formKey;
  final VoidCallback onPressed;
  const ButtonLogin(
      {this.heightButton,
      this.widgthButton,
      this.colorButton,
      this.textButton,
      this.formKey,
      @required this.onPressed,
      this.screen});

  @override
  Widget build(BuildContext context) {
    final double heightButton = this.heightButton ?? 36.0;
    final double widgthButton =
        this.widgthButton ?? MediaQuery.of(context).size.width * 0.9;
    final Color colorButton = this.colorButton ?? Color(0xff9CC94A);
    final String textButton = this.textButton ?? "ENTRAR";
    final VoidCallback onPressed = this.onPressed ??
        () {
          if (formKey.currentState.validate()) {
            Navigator.push(
              context,
              MaterialPageRoute(
                builder: (context) => HomeScreen(),
              ),
            );
          }
        };
    return Container(
      child: ButtonTheme(
        minWidth: widgthButton,
        height: heightButton,
        child: RaisedButton(
          color: colorButton,
          onPressed: onPressed,
          child: Text(textButton),
        ),
      ),
    );
  }
}
