import 'package:login_oficina5/src/login_package.dart';

class InputLogin extends StatelessWidget {
  final double widthFactorInput;
  final TextInputType keyBoardType;
  final Icon iconInput;
  final Color colorTextInput;
  final GlobalKey formKey;
  final TextEditingController valueController;
  final String validationMessage;

  const InputLogin(
      {this.widthFactorInput,
      this.keyBoardType,
      this.iconInput,
      this.colorTextInput,
      this.validationMessage,
      @required this.valueController,
      @required this.formKey});
  @override
  Widget build(BuildContext context) {
    final double widthFactorInput = this.widthFactorInput ?? 0.7;
    final Icon iconInput = this.iconInput ?? Icon(Icons.broken_image);
    final TextInputType keyBoardType = this.keyBoardType ?? TextInputType.text;
    final Color colorTextInput = this.colorTextInput ?? Colors.black;
    final validationMessage = this.validationMessage ?? "Campo Vazio";
    return FractionallySizedBox(
      widthFactor: widthFactorInput,
      child: TextFormField(
        controller: valueController,
        key: formKey,
        keyboardType: keyBoardType,
        validator: (value) {
          if (value.isEmpty) {
            return validationMessage;
          }
          return null;
        },
        decoration: InputDecoration(
          icon: iconInput,
        ),
        style: TextStyle(
          color: colorTextInput,
        ),
      ),
    );
  }
}
