import 'package:login_oficina5/src/login_package.dart';

class LabelForgotPassword extends StatelessWidget {
  final double paddingTopLabel;
  final double paddingRightLabel;
  final String textLabel;
  final GlobalKey<FormState> formKey;
  final VoidCallback onTap;
  const LabelForgotPassword(
      {this.paddingRightLabel,
      this.paddingTopLabel,
      this.formKey,
      this.textLabel,
      this.onTap});
  @override
  Widget build(BuildContext context) {
    final double paddingTopLabel = this.paddingTopLabel ?? 16.0;
    final double paddingRightLabel =
        this.paddingRightLabel ?? MediaQuery.of(context).size.width * 0.15;
    final String textLabel = this.textLabel ?? "Esqueceu sua senha?";
    final VoidCallback onTap = this.onTap ??
        () {
          Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => HomeScreen(),
            ),
          );
        };
    return Row(
      crossAxisAlignment: CrossAxisAlignment.center,
      mainAxisAlignment: MainAxisAlignment.end,
      children: <Widget>[
        Padding(
          padding:
              EdgeInsets.only(top: paddingTopLabel, right: paddingRightLabel),
          // MediaQuery.of(context).size.width *
          //     0.15), //componentizar
          child: GestureDetector(
            onTap: onTap,
            child: Text(textLabel), //componentizar
          ),
        ),
      ],
    );
  }
}
