import 'package:login_oficina5/src/login_package.dart';

class Login extends StatefulWidget {
  final Logo logo;
  final ButtonLogin buttonLogin;
  final ButtonLoginFacebook buttonLoginFacebook;
  final ButtonLoginGoogle buttonLoginGoogle;
  final LabelForgotPassword labelForgotPassword;
  final LabelSignUp labelSignUp;
  final InputLogin inputLoginUser;
  final InputLogin inputLoginPassword;

  Login(
      {this.buttonLogin,
      this.buttonLoginFacebook,
      this.buttonLoginGoogle,
      this.logo,
      this.labelForgotPassword,
      this.labelSignUp,
      this.inputLoginPassword,
      this.inputLoginUser});

  Key k1 = GlobalKey();
  Key k2 = GlobalKey();

  @override
  _LoginState createState() => _LoginState();
}

class _LoginState extends State<Login> {
  static final _formKey = GlobalKey<FormState>();
  @override
  Widget build(BuildContext context) {
    final ButtonLogin buttonLogin = this.widget.buttonLogin ??
        ButtonLogin(
            onPressed: () {
              if (_formKey.currentState.validate()) {
                Navigator.push(
                  context,
                  MaterialPageRoute(
                    builder: (context) => HomeScreen(),
                  ),
                );
              }
            },
            formKey: _formKey);
    final ButtonLoginFacebook buttonLoginFacebook =
        this.widget.buttonLoginFacebook ??
            ButtonLoginFacebook(
              visibility: false,
            );
    final ButtonLoginGoogle buttonLoginGoogle = this.widget.buttonLoginGoogle ??
        ButtonLoginGoogle(
          visibility: false,
        );
    final Logo logo = this.widget.logo ?? Logo();
    final InputLogin inputLoginUser = this.widget.inputLoginUser ??
        InputLogin(
          valueController: TextEditingController(),
          formKey: this.widget.k1,
        );
    final InputLogin inputLoginPassword = this.widget.inputLoginPassword ??
        InputLogin(
          valueController: TextEditingController(),
          formKey: this.widget.k2,
        );

    final LabelForgotPassword labelForgotPassword =
        this.widget.labelForgotPassword ?? LabelForgotPassword();
    final LabelSignUp labelSignUp = this.widget.labelSignUp ?? LabelSignUp();

    return Scaffold(
      body: Form(
        key: _formKey,
        child: Center(
          child: SingleChildScrollView(
            child: Column(
              children: <Widget>[
                Container(
                  height: MediaQuery.of(context).size.height * 0.6,
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.stretch,
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: <Widget>[
                      logo,
                      inputLoginUser,
                      inputLoginPassword,
                      labelForgotPassword,
                    ],
                  ),
                ),
                Container(
                  height: MediaQuery.of(context).size.height * 0.3,
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.center,
                    children: <Widget>[
                      buttonLogin,
                      buttonLoginFacebook,
                      buttonLoginGoogle,
                    ],
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
      bottomNavigationBar: Padding(
        padding: const EdgeInsets.only(bottom: 10.0),
        child: labelSignUp,
      ),
    );
  }
}
